/*****************
Propiedad intelectual de NmadeSoft SRL (info@nomadesoft.com.ar)
Cdigo original tomado de NSRA.
---
autor: D. Abdala (dabdala@nomadesoft.com.ar)
ltima modificacin: 2010-06-01
---
Interfaz de generacin de logs.
- ENGLISH -
Log generation interface.
*****************/
ROUTINE-LEVEL ON ERROR UNDO, THROW.

/**
 * Interface Para los Loggers.
 */
INTERFACE com.nomadesoft.lib.ILogger:
  METHOD PUBLIC INTEGER GetLevel(INPUT ipchLevel AS CHARACTER).
  METHOD PUBLIC VOID SetLevel(INPUT ipinLevel AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT ipchMessage AS CHARACTER).
  METHOD PUBLIC VOID OutLog(INPUT ipchMessage AS CHARACTER, INPUT ipinLevel AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT ipdaMessage AS DATE).
  METHOD PUBLIC VOID OutLog(INPUT ipdaMessage AS DATE, INPUT ipinLevel AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT ipdtMessage AS DATETIME).
  METHOD PUBLIC VOID OutLog(INPUT ipdtMessage AS DATETIME, INPUT ipinLevel AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT ipdeMessage AS DECIMAL).
  METHOD PUBLIC VOID OutLog(INPUT ipdeMessage AS DECIMAL, INPUT ipinLevel AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT ipinMessage AS INT64).
  METHOD PUBLIC VOID OutLog(INPUT ipinMessage AS INT64, INPUT ipinLevel AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT ipinMessage AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT ipinMessage AS INTEGER, INPUT ipinLevel AS INTEGER).
  METHOD PUBLIC VOID OutLog(INPUT iplgMessage AS LOGICAL).
  METHOD PUBLIC VOID OutLog(INPUT iplgMessage AS LOGICAL, INPUT ipinLevel AS INTEGER).
END INTERFACE.
